Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class ModifyDBInstanceRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.ModifyDBInstanceRequest

    public class ModifyDBInstanceRequest

extends AmazonWebServiceRequest

Container for the parameters to the `ModifyDBInstance operation`.

This API is used to change RDS Instance settings. Users call the ModifyDBInstance API to change one or more database configuration parameters by specifying these parameters and the new values in the request.

See Also:
  `AmazonRDS.modifyDBInstance(ModifyDBInstanceRequest)`

Constructor Summary
`ModifyDBInstanceRequest()`

Method Summary
`Integer` | `getAllocatedStorage()` The new storage capacity of the RDS instance.
`Boolean` | `getApplyImmediately()` Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.
`Integer` | `getBackupRetentionPeriod()` The number of days to retain automated backups.
`String` | `getDBInstanceClass()` The new compute and memory capacity of the DB Instance.
`String` | `getDBInstanceIdentifier()` The DB Instance identifier.
`String` | `getDBParameterGroupName()` The name of the DB Parameter Group to apply to this DB Instance.
`List<String>` | `getDBSecurityGroups()` A list of DB Security Groups to authorize on this DB Instance.
`String` | `getMasterUserPassword()` The new password for the DB Instance master user.
`Boolean` | `getMultiAZ()` Returns the value of the MultiAZ property for this object.
`String` | `getPreferredBackupWindow()` The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
`String` | `getPreferredMaintenanceWindow()` The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage.
`Boolean` | `isApplyImmediately()` Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.
`Boolean` | `isMultiAZ()` Returns the value of the MultiAZ property for this object.
`void` | `setAllocatedStorage(Integer allocatedStorage)` The new storage capacity of the RDS instance.
`void` | `setApplyImmediately(Boolean applyImmediately)` Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.
`void` | `setBackupRetentionPeriod(Integer backupRetentionPeriod)` The number of days to retain automated backups.
`void` | `setDBInstanceClass(String dBInstanceClass)` The new compute and memory capacity of the DB Instance.
`void` | `setDBInstanceIdentifier(String dBInstanceIdentifier)` The DB Instance identifier.
`void` | `setDBParameterGroupName(String dBParameterGroupName)` The name of the DB Parameter Group to apply to this DB Instance.
`void` | `setDBSecurityGroups(Collection<String> dBSecurityGroups)` A list of DB Security Groups to authorize on this DB Instance.
`void` | `setMasterUserPassword(String masterUserPassword)` The new password for the DB Instance master user.
`void` | `setMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`void` | `setPreferredBackupWindow(String preferredBackupWindow)` The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
`void` | `setPreferredMaintenanceWindow(String preferredMaintenanceWindow)` The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ModifyDBInstanceRequest` | `withAllocatedStorage(Integer allocatedStorage)` The new storage capacity of the RDS instance.
`ModifyDBInstanceRequest` | `withApplyImmediately(Boolean applyImmediately)` Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.
`ModifyDBInstanceRequest` | `withBackupRetentionPeriod(Integer backupRetentionPeriod)` The number of days to retain automated backups.
`ModifyDBInstanceRequest` | `withDBInstanceClass(String dBInstanceClass)` The new compute and memory capacity of the DB Instance.
`ModifyDBInstanceRequest` | `withDBInstanceIdentifier(String dBInstanceIdentifier)` The DB Instance identifier.
`ModifyDBInstanceRequest` | `withDBParameterGroupName(String dBParameterGroupName)` The name of the DB Parameter Group to apply to this DB Instance.
`ModifyDBInstanceRequest` | `withDBSecurityGroups(Collection<String> dBSecurityGroups)` A list of DB Security Groups to authorize on this DB Instance.
`ModifyDBInstanceRequest` | `withDBSecurityGroups(String... dBSecurityGroups)` A list of DB Security Groups to authorize on this DB Instance.
`ModifyDBInstanceRequest` | `withMasterUserPassword(String masterUserPassword)` The new password for the DB Instance master user.
`ModifyDBInstanceRequest` | `withMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`ModifyDBInstanceRequest` | `withPreferredBackupWindow(String preferredBackupWindow)` The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
`ModifyDBInstanceRequest` | `withPreferredMaintenanceWindow(String preferredMaintenanceWindow)` The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModifyDBInstanceRequest

    public ModifyDBInstanceRequest()

Method Detail

### getDBInstanceIdentifier

    public String getDBInstanceIdentifier()

  The DB Instance identifier. This value is stored as a lowercase string.

  Returns:
    The DB Instance identifier. This value is stored as a lowercase string.

### setDBInstanceIdentifier

    public void setDBInstanceIdentifier(String dBInstanceIdentifier)

  The DB Instance identifier. This value is stored as a lowercase string.

  Parameters:
    `dBInstanceIdentifier` - The DB Instance identifier. This value is stored as a lowercase string.

### withDBInstanceIdentifier

    public ModifyDBInstanceRequest withDBInstanceIdentifier(String dBInstanceIdentifier)

  The DB Instance identifier. This value is stored as a lowercase string.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceIdentifier` - The DB Instance identifier. This value is stored as a lowercase string.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAllocatedStorage

    public Integer getAllocatedStorage()

  The new storage capacity of the RDS instance.

  This change does not result in an outage and is applied during the next maintenance window unless the ApplyImmediately parameter is specified as true for this request.

  Returns:
    The new storage capacity of the RDS instance.

    This change does not result in an outage and is applied during the next maintenance window unless the ApplyImmediately parameter is specified as true for this request.

### setAllocatedStorage

    public void setAllocatedStorage(Integer allocatedStorage)

  The new storage capacity of the RDS instance.

  This change does not result in an outage and is applied during the next maintenance window unless the ApplyImmediately parameter is specified as true for this request.

  Parameters:
    `allocatedStorage` - The new storage capacity of the RDS instance.

    This change does not result in an outage and is applied during the next maintenance window unless the ApplyImmediately parameter is specified as true for this request.

### withAllocatedStorage

    public ModifyDBInstanceRequest withAllocatedStorage(Integer allocatedStorage)

  The new storage capacity of the RDS instance.

  This change does not result in an outage and is applied during the next maintenance window unless the ApplyImmediately parameter is specified as true for this request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `allocatedStorage` - The new storage capacity of the RDS instance.

    This change does not result in an outage and is applied during the next maintenance window unless the ApplyImmediately parameter is specified as true for this request.

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBInstanceClass

    public String getDBInstanceClass()

  The new compute and memory capacity of the DB Instance.

  Passing a value for this parameter causes an outage during the change and is applied during the next maintenance window, unless the ApplyImmediately parameter is specified as true for this request.

  Returns:
    The new compute and memory capacity of the DB Instance.

    Passing a value for this parameter causes an outage during the change and is applied during the next maintenance window, unless the ApplyImmediately parameter is specified as true for this request.

### setDBInstanceClass

    public void setDBInstanceClass(String dBInstanceClass)

  The new compute and memory capacity of the DB Instance.

  Passing a value for this parameter causes an outage during the change and is applied during the next maintenance window, unless the ApplyImmediately parameter is specified as true for this request.

  Parameters:
    `dBInstanceClass` - The new compute and memory capacity of the DB Instance.

    Passing a value for this parameter causes an outage during the change and is applied during the next maintenance window, unless the ApplyImmediately parameter is specified as true for this request.

### withDBInstanceClass

    public ModifyDBInstanceRequest withDBInstanceClass(String dBInstanceClass)

  The new compute and memory capacity of the DB Instance.

  Passing a value for this parameter causes an outage during the change and is applied during the next maintenance window, unless the ApplyImmediately parameter is specified as true for this request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceClass` - The new compute and memory capacity of the DB Instance.

    Passing a value for this parameter causes an outage during the change and is applied during the next maintenance window, unless the ApplyImmediately parameter is specified as true for this request.

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBSecurityGroups

    public List<String> getDBSecurityGroups()

  A list of DB Security Groups to authorize on this DB Instance. This change is asynchronously applied as soon as possible.

  Returns:
    A list of DB Security Groups to authorize on this DB Instance. This change is asynchronously applied as soon as possible.

### setDBSecurityGroups

    public void setDBSecurityGroups(Collection<String> dBSecurityGroups)

  A list of DB Security Groups to authorize on this DB Instance. This change is asynchronously applied as soon as possible.

  Parameters:
    `dBSecurityGroups` - A list of DB Security Groups to authorize on this DB Instance. This change is asynchronously applied as soon as possible.

### withDBSecurityGroups

    public ModifyDBInstanceRequest withDBSecurityGroups(String... dBSecurityGroups)

  A list of DB Security Groups to authorize on this DB Instance. This change is asynchronously applied as soon as possible.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroups` - A list of DB Security Groups to authorize on this DB Instance. This change is asynchronously applied as soon as possible.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDBSecurityGroups

    public ModifyDBInstanceRequest withDBSecurityGroups(Collection<String> dBSecurityGroups)

  A list of DB Security Groups to authorize on this DB Instance. This change is asynchronously applied as soon as possible.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroups` - A list of DB Security Groups to authorize on this DB Instance. This change is asynchronously applied as soon as possible.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isApplyImmediately

    public Boolean isApplyImmediately()

  Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.

  If this parameter is passed as false, changes to the DB Instance are applied on the next call to RebootDBInstance, the next maintenance reboot, or the next failure reboot, whichever occurs first.

  Returns:
    Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.

    If this parameter is passed as false, changes to the DB Instance are applied on the next call to RebootDBInstance, the next maintenance reboot, or the next failure reboot, whichever occurs first.

### setApplyImmediately

    public void setApplyImmediately(Boolean applyImmediately)

  Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.

  If this parameter is passed as false, changes to the DB Instance are applied on the next call to RebootDBInstance, the next maintenance reboot, or the next failure reboot, whichever occurs first.

  Parameters:
    `applyImmediately` - Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.

    If this parameter is passed as false, changes to the DB Instance are applied on the next call to RebootDBInstance, the next maintenance reboot, or the next failure reboot, whichever occurs first.

### withApplyImmediately

    public ModifyDBInstanceRequest withApplyImmediately(Boolean applyImmediately)

  Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.

  If this parameter is passed as false, changes to the DB Instance are applied on the next call to RebootDBInstance, the next maintenance reboot, or the next failure reboot, whichever occurs first.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `applyImmediately` - Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.

    If this parameter is passed as false, changes to the DB Instance are applied on the next call to RebootDBInstance, the next maintenance reboot, or the next failure reboot, whichever occurs first.

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getApplyImmediately

    public Boolean getApplyImmediately()

  Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.

  If this parameter is passed as false, changes to the DB Instance are applied on the next call to RebootDBInstance, the next maintenance reboot, or the next failure reboot, whichever occurs first.

  Returns:
    Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the PreferredMaintenanceWindow setting for the DB Instance.

    If this parameter is passed as false, changes to the DB Instance are applied on the next call to RebootDBInstance, the next maintenance reboot, or the next failure reboot, whichever occurs first.

### getMasterUserPassword

    public String getMasterUserPassword()

  The new password for the DB Instance master user. This change is asynchronously applied as soon as possible. Between the time of the request and the completion of the request, the MasterUserPassword element exists in the PendingModifiedValues element of the operation response.

  Returns:
    The new password for the DB Instance master user. This change is asynchronously applied as soon as possible. Between the time of the request and the completion of the request, the MasterUserPassword element exists in the PendingModifiedValues element of the operation response.

### setMasterUserPassword

    public void setMasterUserPassword(String masterUserPassword)

  The new password for the DB Instance master user. This change is asynchronously applied as soon as possible. Between the time of the request and the completion of the request, the MasterUserPassword element exists in the PendingModifiedValues element of the operation response.

  Parameters:
    `masterUserPassword` - The new password for the DB Instance master user. This change is asynchronously applied as soon as possible. Between the time of the request and the completion of the request, the MasterUserPassword element exists in the PendingModifiedValues element of the operation response.

### withMasterUserPassword

    public ModifyDBInstanceRequest withMasterUserPassword(String masterUserPassword)

  The new password for the DB Instance master user. This change is asynchronously applied as soon as possible. Between the time of the request and the completion of the request, the MasterUserPassword element exists in the PendingModifiedValues element of the operation response.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `masterUserPassword` - The new password for the DB Instance master user. This change is asynchronously applied as soon as possible. Between the time of the request and the completion of the request, the MasterUserPassword element exists in the PendingModifiedValues element of the operation response.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBParameterGroupName

    public String getDBParameterGroupName()

  The name of the DB Parameter Group to apply to this DB Instance. This change is asynchronously applied as soon as possible for parameters when the ApplyImmediately parameter is specified as true for this request.

  Returns:
    The name of the DB Parameter Group to apply to this DB Instance. This change is asynchronously applied as soon as possible for parameters when the ApplyImmediately parameter is specified as true for this request.

### setDBParameterGroupName

    public void setDBParameterGroupName(String dBParameterGroupName)

  The name of the DB Parameter Group to apply to this DB Instance. This change is asynchronously applied as soon as possible for parameters when the ApplyImmediately parameter is specified as true for this request.

  Parameters:
    `dBParameterGroupName` - The name of the DB Parameter Group to apply to this DB Instance. This change is asynchronously applied as soon as possible for parameters when the ApplyImmediately parameter is specified as true for this request.

### withDBParameterGroupName

    public ModifyDBInstanceRequest withDBParameterGroupName(String dBParameterGroupName)

  The name of the DB Parameter Group to apply to this DB Instance. This change is asynchronously applied as soon as possible for parameters when the ApplyImmediately parameter is specified as true for this request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBParameterGroupName` - The name of the DB Parameter Group to apply to this DB Instance. This change is asynchronously applied as soon as possible for parameters when the ApplyImmediately parameter is specified as true for this request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBackupRetentionPeriod

    public Integer getBackupRetentionPeriod()

  The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

  Returns:
    The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

### setBackupRetentionPeriod

    public void setBackupRetentionPeriod(Integer backupRetentionPeriod)

  The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

  Parameters:
    `backupRetentionPeriod` - The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

### withBackupRetentionPeriod

    public ModifyDBInstanceRequest withBackupRetentionPeriod(Integer backupRetentionPeriod)

  The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `backupRetentionPeriod` - The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPreferredBackupWindow

    public String getPreferredBackupWindow()

  The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

  Returns:
    The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

### setPreferredBackupWindow

    public void setPreferredBackupWindow(String preferredBackupWindow)

  The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

  Parameters:
    `preferredBackupWindow` - The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

### withPreferredBackupWindow

    public ModifyDBInstanceRequest withPreferredBackupWindow(String preferredBackupWindow)

  The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `preferredBackupWindow` - The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPreferredMaintenanceWindow

    public String getPreferredMaintenanceWindow()

  The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage. This change is made immediately. If moving this window to the current time, there must be at least 120 minutes between the current time and end of the window to ensure pending changes are applied.

  Returns:
    The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage. This change is made immediately. If moving this window to the current time, there must be at least 120 minutes between the current time and end of the window to ensure pending changes are applied.

### setPreferredMaintenanceWindow

    public void setPreferredMaintenanceWindow(String preferredMaintenanceWindow)

  The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage. This change is made immediately. If moving this window to the current time, there must be at least 120 minutes between the current time and end of the window to ensure pending changes are applied.

  Parameters:
    `preferredMaintenanceWindow` - The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage. This change is made immediately. If moving this window to the current time, there must be at least 120 minutes between the current time and end of the window to ensure pending changes are applied.

### withPreferredMaintenanceWindow

    public ModifyDBInstanceRequest withPreferredMaintenanceWindow(String preferredMaintenanceWindow)

  The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage. This change is made immediately. If moving this window to the current time, there must be at least 120 minutes between the current time and end of the window to ensure pending changes are applied.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `preferredMaintenanceWindow` - The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage. This change is made immediately. If moving this window to the current time, there must be at least 120 minutes between the current time and end of the window to ensure pending changes are applied.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isMultiAZ

    public Boolean isMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### setMultiAZ

    public void setMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.

### withMultiAZ

    public ModifyDBInstanceRequest withMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMultiAZ

    public Boolean getMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.